Guest

Cisco Unified Web Interaction Manager

Cisco Unified Web and E-Mail Interaction Manager Version 4.2(5): Unable to Encrypt Database Password

Document ID: 109716

Updated: Mar 11, 2009

   Print

Introduction

After an upgrade to Cisco Unified Web Interaction Manager 4.2.(5), the database password for database upgrade cannot be encrypted.

Prerequisites

Requirements

Cisco recommends that you have knowledge of this topic:

Components Used

The information in this document is based on the Cisco Unified Web and E-Mail Interaction Manager version 4.2(5).

The information in this document was created from the devices in a specific lab environment. All of the devices used in this document started with a cleared (default) configuration. If your network is live, make sure that you understand the potential impact of any command.

Conventions

Refer to Cisco Technical Tips Conventions for more information on document conventions.

Problem

After upgrading from Cisco Unified Web and E-Mail Interaction Manager version 4.2.4 to 4.2.5, the password encryption format is always incorrect. This issue occurs because the encrypt/decrypt utility classes used are earlier versions.

This issue is a documented bug: Cisco Bug ID CSCsw37609 (registered customers only) .

Solution

The encryption of the password from page 74 of the 4.2.5 release notes is incorrect. For example, for the eGActiveDB, the password should be this format: C2AC5240C2A6C399C2B8C39FC2AC4943. However, the encryption is coming as *************** Encrypted String -> 3644334443333936433339364333413243333841433 339334332413943323933 .

In order to resolve this issue, you need to use the latest version of encrypt/decrypt utility classes.

This issue is fixed in Cisco Unified Web and E-Mail Interaction Manager version 4.2(5a). In order to fix this issue, download 4.2(5a) from Cisco Downloads (registered customers only) .

Related Information

Updated: Mar 11, 2009
Document ID: 109716